'use strict';
const TarsLogs = require('@tars/logs');

const dayLogs = {};
const dayLog = function (filename) {
  let log = dayLogs[filename];
  if (!log) {
    log = new TarsLogs('TarsDate', filename, {
      hasSufix: true,
      hasAppNamePrefix: true,
      formatter: TarsLogs.Formatter.Detail(),
    });
  }
  dayLogs[filename] = log;
  return log;
};

module.exports = dayLog;
