const fs = require('fs')

if (process.env.TAF_CONFIG) {
  // 读取taf配置文件，改写其中的taf部分为tars然后写到另一个path
  const tafContent = fs.readFileSync(process.env.TAF_CONFIG, 'utf8')
  const tarsContent = tafContent
    .replace('<taf>', '<tars>')
    .replace('</taf>', '</tars>')
    .replace('protocol=taf', 'protocol=tars')

  process.env.TARS_CONFIG = `${process.env.TAF_CONFIG}.tars`
  fs.writeFileSync(process.env.TARS_CONFIG, tarsContent)
} else {
  require("tx-report-servant") // 运行自动上报
}
