'use strict';
const TarsLogs = require('@tars/logs');

const rotateLogs = {};
const rotateLog = function (filename = '') {
  let log = rotateLogs[filename];
  if (!log) {
    log = new TarsLogs('TarsRotate', filename, {
      hasSufix: true,
      hasAppNamePrefix: false,
      formatter: TarsLogs.Formatter.Detail(),
    });
  }
  rotateLogs[filename] = log;
  return log;
};

module.exports = rotateLog;
